org.infinispan.schematic.internal.schema

## Interface Problems

- All Known Implementing Classes:
    JsonSchemaValidatorFactory.SingleProblem, ValidationResult

      @NotThreadSafe
      public interface Problems

  An interface for recording problems.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `recordError(Path path, String message)` Record an error at the given path in a document.
    `void` | `recordError(Path path, String message, Throwable exception)` Record an error at the given path in a document.
    `void` | `recordSuccess()` Record a successful validation.
    `void` | `recordTypeMismatch(Path path, String message, JsonSchema.Type actualType, Object actualValue, JsonSchema.Type requiredType, Object convertedValue)` Record a field value was encountered whose type was not the expected type but could be converted to the expected type.
    `void` | `recordWarning(Path path, String message)` Record a warning at the given path in a document.

- - ### Method Detail

    - #### recordSuccess

          void recordSuccess()

      Record a successful validation.

    - #### recordError

          void recordError(Path path,
                         String message)

      Record an error at the given path in a document.
      Parameters:
        `path` - the path; may not be null
        `message` - the message describing the error; may not be null

    - #### recordError

          void recordError(Path path,
                         String message,
                         Throwable exception)

      Record an error at the given path in a document.
      Parameters:
        `path` - the path; may not be null
        `message` - the message describing the error; may not be null
        `exception` - the exception that occurred and that is considered the cause

    - #### recordWarning

          void recordWarning(Path path,
                           String message)

      Record a warning at the given path in a document.
      Parameters:
        `path` - the path; may not be null
        `message` - the message describing the warning; may not be null

    - #### recordTypeMismatch

          void recordTypeMismatch(Path path,
                                String message,
                                JsonSchema.Type actualType,
                                Object actualValue,
                                JsonSchema.Type requiredType,
                                Object convertedValue)

      Record a field value was encountered whose type was not the expected type but could be converted to the expected type.
      Parameters:
        `path` - the path; may not be null
        `message` - the message describing the warning; may not be null
        `actualType` - the actual type of the field value; may not be null
        `actualValue` - the actual field value
        `requiredType` - the expected type; may not be null
        `convertedValue` - the converted value

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.